Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2257224 - perl-Clipboard: clipbrowse command execution with multi-line clipboard text including "| sh" [epel-all]
Summary: perl-Clipboard: clipbrowse command execution with multi-line clipboard text i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Clipboard
Version: epel8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2257223
TreeView+ depends on / blocked
 
Reported: 2024-01-08 05:30 UTC by TEJ RATHI
Modified: 2024-04-19 01:14 UTC (History)
5 users (show)

Fixed In Version: perl-Clipboard-0.29-1.fc41 perl-Clipboard-0.29-1.el9 perl-Clipboard-0.29-1.el7 perl-Clipboard-0.29-1.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-10 14:30:24 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2024-01-08 05:30:12 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2257223

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 TEJ RATHI 2024-01-08 05:30:16 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2257223,2257224

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-04-10 14:27:19 UTC
FEDORA-2024-966c267928 (perl-Clipboard-0.29-1.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-966c267928

Comment 3 Fedora Update System 2024-04-10 14:30:24 UTC
FEDORA-2024-966c267928 (perl-Clipboard-0.29-1.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2024-04-10 14:47:36 UTC
FEDORA-EPEL-2024-6ebc36e81d (perl-Clipboard-0.29-1.el9) has been submitted as an update to Fedora EPEL 9.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-6ebc36e81d

Comment 5 Fedora Update System 2024-04-10 14:47:37 UTC
FEDORA-EPEL-2024-a8b1cd8e52 (perl-Clipboard-0.29-1.el7) has been submitted as an update to Fedora EPEL 7.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-a8b1cd8e52

Comment 6 Fedora Update System 2024-04-10 14:47:38 UTC
FEDORA-EPEL-2024-f060b59d26 (perl-Clipboard-0.29-1.el8) has been submitted as an update to Fedora EPEL 8.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-f060b59d26

Comment 7 Fedora Update System 2024-04-11 01:24:30 UTC
FEDORA-EPEL-2024-a8b1cd8e52 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-a8b1cd8e52

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-04-11 01:31:03 UTC
FEDORA-EPEL-2024-f060b59d26 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-f060b59d26

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-04-11 18:39:56 UTC
FEDORA-EPEL-2024-6ebc36e81d has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-6ebc36e81d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2024-04-19 00:38:13 UTC
FEDORA-EPEL-2024-6ebc36e81d (perl-Clipboard-0.29-1.el9) has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2024-04-19 00:54:02 UTC
FEDORA-EPEL-2024-a8b1cd8e52 (perl-Clipboard-0.29-1.el7) has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2024-04-19 01:14:04 UTC
FEDORA-EPEL-2024-f060b59d26 (perl-Clipboard-0.29-1.el8) has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.